#!/usr/bin/perl

##############################################
# test-perl.pl
# Matt Kynaston
# Say hi and print environment variables
#
# Lines that start with a hash mark (#), like this one, are
# comments, and are ignored by the Perl interpreter.
#
# The first line of this script tells the operating system 
# where to look for the perl program. The Xitami browser
# ignores it, and looks at your computers PATH instead.
# Almost all Unix systems have it in /usr/bin/perl, but 
# check with your host's help pages if nothing else works.



##############################################
# The following line is essential - it lets the server know
# that what follows is an html document

print "Content-type: text/html\n\n";


##############################################
# Now start printing the HTML document itself

print "<html><head><title>Perl test</title></head>";
print "<body bgcolor=#ffffff>";
print "<font face='Arial, Helvetica, sans-serif' size=2>";
print "<h1>Hello from Perl!</h1>";


##############################################
# Now print a block of text - all the way to EOF marker

print << "EOF";
	<p><b>Congratulations! Perl is working 
	correctly on your system.</b></p>
	<p>The following table lists environment 
	variables for this server. These can be useful 
	when it comes time to upload scripts onto your 
	host's server. Often you will need to know 
	information about paths so you can customise 
	your scripts.</p>
	<p>Upload this script to your cgi-bin (make sure
	you set the transfer mode to ASCII or TEXT!), 
	set the permissions on it to 755 then and view it 
	in your browser. The actual variable names will 
	vary from server to server, but have a look for one 
	called something like:</p>
	<blockquote>
	<b>CGI_ROOT</b> or <b>SCRIPT_FILENAME</b>
	</blockquote>
	<p>From it you should be able to work out the
	absolute path to your cgi-bin.</p>	
	<table border=1 cellpadding=5 cellspacing=0>
	<th align=left><font size=3>
		<h3>Environment Variable</h3>
	</font></th>
	<th align=left><font size=3>
		<h3>Value</h3>
	</font></th>
	<tr>

EOF


##############################################
# Loop through the environment array, printing out each
# variable name and value on seperate rows

foreach $variable (sort keys %ENV) {
	print "<td><font size=2><b>";
	print "$variable</b></font></td>";
	print "<td><font size=2>";
	print "$ENV{$variable}</font></td></tr><tr>";
}


##############################################
# We're done!

print "</table></body></html>\n";
exit;
